Page MenuHomePhabricator

Newcomer tasks: review and solidify reporting code
Closed, ResolvedPublic

Description

This task is about reviewing the existing code for reporting on the newcomer tasks conversion funnel, and making changes so that edits are counted correctly. The existing code by @MMiller_WMF will be sent to @nettrom_WMF separately.

Some needs and considerations:

  • In light of what was found on T241871: Newcomer tasks: undercounting of edits using EventLogging, we want to make sure that all edits are counted, which may require incorporating data on edit tags into the existing queries, and also keeping in the data that counts edits with EventLogging.
  • We want to make sure there are no other kinds of undercounting or errors in the code.
  • We should consider whether by mixing data on edits from EventLogging and from the Mediawiki database, we'll be comparing apples to oranges.
  • We would like to add an additional characteristic to the analysis, which is whether the user has selected topics via the features from T238608.

Event Timeline

nettrom_WMF triaged this task as Medium priority.Feb 18 2020, 6:25 PM

Updated notebook has been sent to @MMiller_WMF for review.

Thanks, @nettrom_WMF. I've reviewed it and emailed you questions.

MMiller_WMF closed this task as Resolved.Mar 24 2020, 4:20 AM

We are in good shape here. On March 15, @nettrom_WMF sent me a notebook that I'm now using for reporting.

Urbanecm edited subscribers, added: Urbanecm_WMF; removed: Urbanecm.Aug 26 2020, 3:24 PM